Package be.ehealth.businessconnector.mycarenet.agreementasync.v2.session.impl

# Class AgreementServiceImpl

java.lang.Object
be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
be.ehealth.businessconnector.mycarenet.agreementasync.v2.session.impl.AgreementServiceImpl

All Implemented Interfaces:
  `CommonAsyncService`, `AgreementService`

public class AgreementServiceImpl extends DefaultCommonAsyncService implements AgreementService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgreementServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcessedPostResponse`
  `getEAgreementRequest(byte[] encrypedFhirBody, String recipient, InputReference inputReference, String messageVersion)`
  `ProcessedGetResponse<byte[]>`
  `getEAgreementResponse(GetRequest request)`

  ### Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

  `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

  `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- ## Constructor Details

  - ### AgreementServiceImpl

    public AgreementServiceImpl()

- ## Method Details

  - ### getEAgreementResponse

    public ProcessedGetResponse<byte[]> getEAgreementResponse(GetRequest request) throws ConnectorException
    Specified by:
      `getEAgreementResponse` in interface `AgreementService`
    Throws:
      `ConnectorException`

  - ### getEAgreementRequest

    public ProcessedPostResponse getEAgreementRequest(byte[] encrypedFhirBody, String recipient, InputReference inputReference, String messageVersion) throws ConnectorException
    Specified by:
      `getEAgreementRequest` in interface `AgreementService`
    Throws:
      `ConnectorException`